<template>
    <header class="header">
        <base-container>
            <div class="header__content">
                <header-logo />
                <header-authorization v-if="!isAuthorized" />
                <header-nav v-else />
            </div>
        </base-container>
    </header>
</template>

<script>
export default {
    name: 'template-header',
    components: {
        HeaderAuthorization: () => import('components/templates/header/HeaderAuthorization'),
        HeaderLogo: () => import('components/templates/header/HeaderLogo'),
        HeaderNav: () => import('components/templates/header/HeaderNav')
    },
    computed: {
        ...mapState('account', ['isAuthorized'])
    }
};
</script>

<style lang="sass">
    @import '~blocks/header';
</style>
